
    <!DOCTYPE html>
    <html>
      <body>
        <style>@page {
  size: 1280px 720px;
  margin: 0;
}@media print {html, body {
  background-color: #fff;
  margin: 0;
  page-break-inside: avoid;
  break-inside: avoid-page;
}
  div.marpit > section {
    page-break-before: always;
    break-before: page;
  }

  div.marpit > section, div.marpit > section * {
    -webkit-print-color-adjust: exact !important;
    animation-delay: 0s !important;
    animation-duration: 0s !important;
    color-adjust: exact !important;
    transition: none !important;
  }

  div.marpit > svg[data-marpit-svg] {
    display: block;
    height: 100vh;
    width: 100vw;
  }
}

div.marpit > section {
  width: 1280px;
  height: 720px;

  box-sizing: border-box;
  overflow: hidden;
  position: relative;

  scroll-snap-align: center center;
}

div.marpit > section::after {
  bottom: 0;
  content: attr(data-marpit-pagination);
  padding: inherit;
  pointer-events: none;
  position: absolute;
  right: 0;
}

div.marpit > section:not([data-marpit-pagination])::after {
  display: none;
}

/* Normalization */
div.marpit > section h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

div.marpit > section video::-webkit-media-controls {
  will-change: transform;
}</style>
        <div class="marpit"><section id="1" data-marpit-fragments="9">
<h1>Конфигурация</h1>
<h2>Ссылки</h2>
<ul>
<li data-marpit-fragment="1"><a href="https://rollbar.com/">Rollbar.com</a></li>
<li data-marpit-fragment="2"><a href="https://docs.rollbar.com/docs/rails">Документация Rollbar для настройки в Rails</a></li>
</ul>
<h2>Задачи</h2>
<p>Установите и настройке Rollbar следуя <a href="https://docs.rollbar.com/docs/rails">инструкции</a></p>
<ul>
<li data-marpit-fragment="3">
<p>Зарегистрируйтесь в <a href="https://rollbar.com/">Rollbar</a> и создайте новый проект</p>
</li>
<li data-marpit-fragment="4">
<p>Добавьте в <em>Gemfile</em> гем - <code>gem 'rollbar'</code> и установите его</p>
</li>
<li data-marpit-fragment="5">
<p>Сгенерируйте конфигурацию командой</p>
<pre><code class="language-sh">bin/rails generate rollbar
</code></pre>
</li>
<li data-marpit-fragment="6">
<p>В <em>models/config/environment.rb</em> добавьте перехват ошибок Rollbar</p>
<pre><code class="language-ruby">require_relative 'rollbar'

notify = lambda do |e|
  Rollbar.with_config(use_async: false) do
    Rollbar.error(e)
  end
rescue StandardError
  Rails.logger.error 'Synchronous Rollbar notification failed.  Sending async to preserve info'
  Rollbar.error(e)
end

begin
  Rails.application.initialize!
rescue Exception =&gt; e
  notify.call(e)
  raise
end
</code></pre>
</li>
<li data-marpit-fragment="7">
<p>Экспортируйте переменную с токеном Rollbar</p>
<pre><code class="language-sh">export ROLLBAR_ACCESS_TOKEN=&lt;ваш токен&gt;
</code></pre>
</li>
<li data-marpit-fragment="8">
<p>Запустите приложение. При попытке открытия главной страницы будет вызываться ошибка. Если Rollbar настроен корректно, то на сайте появится сообщение.</p>
</li>
<li data-marpit-fragment="9">
<p>Когда будете отправлять домашнее задание на проверку, приложите скриншот ошибки в Rollbar. Пример:</p>
</li>
</ul>
<p><img src="assets/rollbar-example.png" alt="Rollbar error example" /></p>
</section>
</div>
      </body>
    </html>
  